Name:           kerry
Version:        0.2.1
Release:        7%{?dist}
Summary:        Kerry Beagle is a KDE frontend for the Beagle desktop search

Group:          User Interface/Desktops
License:        GPLv2
URL:            http://www.kde-apps.org/content/show.php?content=36832
Source0:        http://developer.kde.org/~binner/kerry/%{name}-%{version}.tar.bz2
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:  desktop-file-utils
BuildRequires:  gettext
BuildRequires:  glib-devel
BuildRequires:  kdebase3-devel
BuildRequires:  libbeagle-devel

# beagle is not available on ppc64, 
# see https://bugzilla.redhat.com/show_bug.cgi?id=261921
ExcludeArch:    ppc64

# We have an exception here, this application is not linked with beagle itself,
# but depends on it for all its operation.
Requires:       beagle

%description
Kerry Beagle is a nice KDE frontend for the Beagle desktop search daemon, it
uses indexed searched files from beagle and displays in a KDE way, integrating
totally with the desktop, systray, and Konqueror.

%prep
%setup -q

%build
unset QTDIR || : ; . /etc/profile.d/qt.sh
export QTLIB=${QTDIR}/lib QTINC=${QTDIR}/include

# libbeagle-version is now 0.1
sed -i 's/LIBBEAGLE_PACKAGES="libbeagle-0.0"/LIBBEAGLE_PACKAGES="libbeagle-1.0"/' configure

%configure --disable-rpath --disable-debug
make %{?_smp_mflags}


%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT

# Removing libtool archive files
#rm -f $RPM_BUILD_ROOT%{_libdir}/kde3/kerry.la
rm -f $RPM_BUILD_ROOT%{_libdir}/libkdeinit_kerry.la

# Moving shutdown script
mkdir -p $RPM_BUILD_ROOT%{_datadir}/shutdown
mv $RPM_BUILD_ROOT%{_prefix}/shutdown/beagled-shutdown.sh \
   $RPM_BUILD_ROOT%{_datadir}/shutdown
rmdir $RPM_BUILD_ROOT%{_prefix}/shutdown

# Install .desktop file using desktop-file-utils
desktop-file-install --vendor fedora                            \
        --dir ${RPM_BUILD_ROOT}%{_datadir}/applications/kde     \
        --add-category Utility                                  \
        --add-category Filesystem                               \
        --add-category KDE                                      \
        --add-category Qt                                       \
        --add-only-show-in=KDE                                  \
        --delete-original                                       \
        ${RPM_BUILD_ROOT}%{_datadir}/applications/kde/kerry.desktop

%find_lang %{name}
%find_lang kcmbeagle
cat kcmbeagle.lang >> %{name}.lang

%post
touch --no-create %{_datadir}/icons/hicolor || :
if [ -x ${_bindir}/gtk-update-icon-cache ] ; then
        ${_bindir}/gtk-update-icon-cache --quiet %{_datadir}/icons/hicolor || :
fi

%postun
touch --no-create %{_datadir}/icons/hicolor || :
if [ -x ${_bindir}/gtk-update-icon-cache ] ; then
        ${_bindir}/gtk-update-icon-cache --quiet %{_datadir}/icons/hicolor || :
fi

%clean
rm -rf $RPM_BUILD_ROOT


%files -f %{name}.lang
%defattr(-,root,root,-)
%doc AUTHORS COPYING README TODO
%{_bindir}/kerry
%{_libdir}/kde3/kerry.so
%{_libdir}/kde3/kerry.la
%{_libdir}/kde3/kcm_beagle.la
%{_libdir}/kde3/kcm_beagle.so
%{_libdir}/libkdeinit_kerry.so
%{_datadir}/autostart/beagled.desktop
%{_datadir}/autostart/kerry.autostart.desktop
%{_datadir}/applications/kde/fedora-kerry.desktop
%{_datadir}/icons/hicolor/*/apps/kerry*
%{_datadir}/shutdown/beagled-shutdown.sh
%dir %{_datadir}/apps/kerry
%{_datadir}/apps/kerry/search-running.mng
%{_datadir}/applications/kde/kcmbeagle.desktop
%{_datadir}/applnk/.hidden/kcmkerry.desktop


%changelog
* Sun Feb 10 2008 Sebastian Vahl <fedora@deadbabylon.de> 0.2.1-6
- rebuild for new gcc-4.3

* Mon Dec 10 2007 Sebastian Vahl <fedora@deadbabylon.de> 0.2.1-6
- prepare configure script for libbeagle-1.0

* Sun Dec 09 2007 Sebastian Vahl <fedora@deadbabylon.de> 0.2.1-5
- switch BR to kdebase3-devel
- omit unneeded BRs
- rebuild for new libbeagle

* Tue Aug 28 2007 Sebastian Vahl <fedora@deadbabylon.de> 0.2.1-4
- ExcludeArch: ppc64 (because libbeagle is not available)

* Tue Aug 28 2007 Sebastian Vahl <fedora@deadbabylon.de> 0.2.1-3
- change license to GPLv2

* Mon Mar 26 2007 Sebastian Vahl <fedora@deadbaylon.de> 0.2.1-2
- own dir (#233856)
- remove some obsolete categories from desktop file

* Fri Mar 02 2007 Sebastian Vahl <fedora@deadbaylon.de> 0.2.1-1
- New upstream version: 0.2.1
- some cleanup in spec

* Wed Sep 13 2006 Hugo Cisneiros <hugo@devin.com.br> 0.1.1-3
- Rebuilt for FC6

* Thu May 25 2006 Hugo Cisneiros <hugo@devin.com.br> 0.1.1-2
- Added kerry.la to libdir/kde3 as KDE applications requires
- Updated desktop-file-install with '--only-show-in=KDE'
- Added beagle as a dependency since kerry requires it

* Wed May 24 2006 Hugo Cisneiros <hugo@devin.com.br> 0.1.1-1
- Initial RPM release
